VARKON Version 1.15 1997-12-29

> ## arc_offs - Geometric procedure

> Creates an arc
> Description
> Creates a circular arc with the same origin as another arc but different radius. A positive value for offset creates an arc with larger radius and a negative value creates an arc with smaller radius.
> Syntax
> arc_offs(id, ref, offset:attributes);

> REF | id;
> REF | ref;
> FLOAT | offset;

> Principal parameters

> id | - Local identity
> ref | - Identity of original arc
> offset | - Difference in radius

> Optional parameters

> None. |

> Attributes

> PEN | - Pen or colour number
> LEVEL | - Level number
> BLANK | - Visible(0) or invisible(1)
> AFONT | - Solid(0), dashed(1) or centerline(2)
> ADASHL | - Dashlength
> WIDTH | - Linewidth

> Example
> arc_offs(#2,#1,-1);
> Creates a new arc #2 one unit smaller than an old arc #1.
> Comments
> In a 3D module the resulting arc is restricted to the XY-plane of the active coordinate system. If the original arc is not in this plane its origin is projected along the Z-axis onto the active XY-plane and used for the new arc. With offset = 0 this feature can be used to create multiple identical arcs in different parallel planes.

VARKON Homepage | Index